<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">

		.fotos{
			opacity: 0;
			transition: all 5s;
		}
		.thumb img{
			width:50px;
			height: 50px;
		}

	</style>

	<script type="text/javascript">
		window.addEventListener("load",()=>{
			let miniaturas=document.querySelectorAll(".thumb img");
			let grandes=document.querySelectorAll(".fotos");

			miniaturas.forEach((miniatura) => {
			  miniatura.addEventListener("click", (e)=>{
			  	let nombre=e.target.getAttribute("data-foto");
			  	document.querySelector("#"+nombre).style.opacity = 1;
			  });
			});

			grandes.forEach((grande) => {
			  grande.addEventListener("click",(e) => {
			    //e.target.style.opacity = 0;
			    grande.style.opacity = 0;
			    //console.log(grandes);
			  });
			})

			

		});
	</script>
</head>
<body>
	<div class="thumb">
	<a href="#"><img data-foto="foto1" src="imgs/1.jpg" alt=""></a>
	<a href="#"><img data-foto="foto2" src="imgs/2.jpg" alt=""></a>
	</div>
	<div class="fotos" id="foto1">
		<a href="#"><img src="imgs/1.jpg" alt=""></a>
	</div>
	<div class="fotos" id="foto2">
		<a href="#"><img src="imgs/2.jpg" alt=""></a>
	</div>

	
</body>
</html>